MDL-69308 environment: Apply agreed changes
authorEloy Lafuente (stronk7) <stronk7@moodle.org>
Sun, 10 Jan 2021 22:38:34 +0000 (23:38 +0100)
committerEloy Lafuente (stronk7) <stronk7@moodle.org>
Sun, 10 Jan 2021 22:38:34 +0000 (23:38 +0100)
- PHP 7.3 required.
- Moodle 3.6 required.
- SQL*Server 2017 (aka, 14.0) required.
- Sodium PHP extension required.

admin/environment.xml

index 47ee604..857a8d3 100644 (file)
       </CUSTOM_CHECK>
     </CUSTOM_CHECKS>
   </MOODLE>
-  <MOODLE version="3.11" requires="3.5">
+  <MOODLE version="3.11" requires="3.6">
     <UNICODE level="required">
       <FEEDBACK>
         <ON_ERROR message="unicoderequired" />
       <VENDOR name="mariadb" version="10.2.29" />
       <VENDOR name="mysql" version="5.7" />
       <VENDOR name="postgres" version="9.6" />
-      <VENDOR name="mssql" version="11.0" />
+      <VENDOR name="mssql" version="14.0" />
       <VENDOR name="oracle" version="11.2" />
     </DATABASE>
-    <PHP version="7.2.0" level="required">
+    <PHP version="7.3.0" level="required">
     </PHP>
     <PCREUNICODE level="optional">
       <FEEDBACK>
       </PHP_EXTENSION>
       <PHP_EXTENSION name="hash" level="required"/>
       <PHP_EXTENSION name="fileinfo" level="required"/>
+      <PHP_EXTENSION name="sodium" level="required"/>
     </PHP_EXTENSIONS>
     <PHP_SETTINGS>
       <PHP_SETTING name="memory_limit" value="96M" level="required">